{
  lib,
  pkgs,
  namespace,
  ...
}:
let
  inherit (lib.${namespace}) disabled;
in
{
  home.username = "admin";

  # Configure systemd user service for protonmail-bridge
  systemd.user.services.protonmail-bridge = {
    Service = {
      Environment = [
        "GNUPGHOME=/home/admin/.gnupg"
        "PASSWORD_STORE_DIR=/home/admin/.local/password-store"
      ];
    };
  };

  services = {
    nextcloud-client = lib.mkForce disabled;
    kdeconnect = {
      enable = false;
      indicator = false;
    };
    protonmail-bridge = {
      enable = true;
      extraPackages = with pkgs; [
        pass
        libsecret
      ];
    };
  };
}
